<!DOCTYPE html>
<html>

    <head>
        <meta charset="UTF-8">
        <title>Insert title here</title>
    </head>
    <body>
        <!-- This the view user sees after login. The view you encounter after
        a successful login. There 4 section in this view:
        -nav: Navigation panel
        -chart: A visual chart displaying various data concernig the
        website
        -section: the main view
        They are identified by tag or id-->
        <nav class="container-fluid">
            <!-- h1 for the header of the Website. li for each tab.-->
            <h1>Twidder</h1>
            <ol>
                <li><a id="accountTab" href="#">Account</a></li>
                <li><a id="browseTab" href="#">Browse</a></li>
                <li><a id="homeTab" href="#">Home</a></li>
            </ol>
        </nav>
        <div id="chart" class="col">
            <canvas id="myChart"></canvas>
        </div>
        <aside id="about" class="col">
            <h4>About</h4>
            <ul>
                <li id="hfirst_name">First name:</li>
                <li id="hfamily_name">Family name:</li>
                <li id="hmail">E-mail:</li>
                <li id="hgender">Gender:</li>
                <li id="hcity">City:</li>
                <li id="hcountry">Country:</li>
            </ul>
        </aside>
        <section class="container-fluid">
            <!-- This part is the dynamic part of the website. It varies with respect to
            the choosen tab from Navigation panel. There are three tabs:
            -about: Displays information about the user logged in
            -home: Home screen
            -browse: Others wall
            -account: View where user can interact with their account
            They are identified by id-->
            <div id="home" class="row">
                <!--This view has 2 input areas:
                -message,
                -media,
                and 3 view areas:
                -messages
                -images
                -videos
                This view is the same as others home in he browse tab -->
                <div>
                    <form action="#" method="post" autocomplete="off" id="hmsgpost">
                        <h2>Tell people what you think</h2>
                        <textarea rows="3" cols="90" autofocus="autofocus" name="message"
                                  placeholder="Enter your message here" required="required"
                                  spellcheck="true" wrap="hard"></textarea>
                        <input type="submit" value="Post">
                    </form>
                    <form acion="#" autocomplete="off" id="hmedia" enctype="multipart/form-data">
                        <div>
                            <label for="media">Share a media<input type="file" id="media"
                                                                   name="media" accept="video/*, image/*"></label><input
                                type="submit" value="Share">
                        </div>
                    </form>
                    <hr>
                    <article>
                        <h2>Messages</h2>
                        <a href="#">Reload</a>
                        <ul id="hmsgArea">
                        </ul>
                    </article>
                    <acticle>
                        <h2>Images</h2>
                        <ol id="himgs">
                        </ol>
                    </acticle>
                    <article>
                        <h2>Videos</h2>
                        <ol id="hvids">
                        </ol>
                    </article>
                </div>
            </div>
            <div id="browse">
                <!--This part searches other users and show information about them.
                There are 2 parts:
                -search: users can search other users.
                -othersHome: if user is found their information is shown.
                They are identified by id-->
                <article id="search">
                    <form action="#" autocomplete="on" id="searchform">
                        <div id="box">
                            <h2>See Other People</h2>
                        </div>
                        <div>
                            <input type="email" required name="searchmail" id="searchmail" placeholder="Other person's email" autocomplete="email">
                        </div>
                        <div>
                            <input type="submit" value="Search">
                        </div>
                    </form>
                </article>
                <article id="othersHome" class="row">
                    <!-- see home in section-->
                    <aside>
                        <h4>About</h4>
                        <ul>
                            <li id="ofirst_name">First name:</li>
                            <li id="ofamily_name">Family name:</li>
                            <li id="omail">E-mail:</li>
                            <li id="ogender">Gender:</li>
                            <li id="ocity">City:</li>
                            <li id="ocountry">Country:</li>
                        </ul>
                    </aside>
                    <article>
                        <h2>Send This Person a Message</h2>
                        <form action="#" method="post" autocomplete="off" id="omsgpost">
                            <textarea rows="3" cols="90" name="message" id="message"
                                      placeholder="Enter your message here" required="required"
                                      spellcheck="true" wrap="hard"></textarea>
                            <input type="submit" value="Submit">
                        </form>
                        <form action="#" autocomplete="off" id="omedia"
                              enctype="multipart/form-data">
                            <div>
                                <label for="media">Share a media<input type="file" id="media"
                                                                       name="media" accept="video/*, image/*"></label><input
                                    type="submit" value="Share">
                            </div>
                        </form>
                        <hr>
                        <article>
                            <h2>Messages</h2>
                            <a href="#">Reload</a>
                            <div id="msgs">
                                <ul>
                                </ul>
                            </div>
                            <acticle>
                                <h2>Images</h2>
                                <ol id="oimgs">
                                </ol>
                            </acticle>
                            <article>
                                <h2>Videos</h2>
                                <ol id="ovids">
                                </ol>
                            </article>
                        </article>
                    </article>
                </article>
            </div>
            <div id="account" class="row">
                <!--Here user can change their password or sign out These Functionalities
                are diveded in two parts:
                -Change password form
                -Sign out link-->
                <h2>Change Password</h2>
                <form action="#" method="post" autocomplete="off" id="changepassword">
                    <div>
                        <label for="oldpassword">Old password:<input
                                type="password" required="required" name="oldpassword"
                                id="oldpassword"></label>
                    </div>
                    <div>
                        <label for="newpassword">New password:<input
                                type="password" required="required" name="newpassword"
                                id="newpassword"></label>
                    </div>
                    <div>
                        <label for="repeat">Repeat password:<input type="password"
                                                                   required="required" name="repeat" id="repeat"></label>
                    </div>
                    <div>
                        <input type="submit" value="Change">
                    </div>
                </form>
                <a id="signout" href="#"><h2>Sign Out</h2></a>
            </div>
        </section>
    </body>
</html>
